Subject: Re: bug#57238: 29.0.50; Tramp: as root on remote SSH server: file is write protected, for -rw-r--r-- 1 admin admin 46587 Aug 5 20:42 websites

From: Michael Albinus <[email-masked]>
Date: Wed, 17 Aug 2022 16:32:21 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

>> --8<---------------cut here---------------start------------->8---
>> (setq vc-ignore-dir-regexp
>>       (format "\\(%s\\)\\|\\(%s\\)"
>>               vc-ignore-dir-regexp
>>               tramp-file-name-regexp))
>> --8<---------------cut here---------------end--------------->8---
>
> That did work, and I am happy for it.
>
> There is another disturbing warning which I always answer with "yes",
> the one
>
> Autosave file on local temporary directory, do you want to continue?(yes or no)
>
> I would like to avoid that warning above as well.

Sometimes, it is recommended to consult the Tramp manual, in order to
make the life of the Tramp maintainer more easy. The recipe above I have
taken from the manual.

And also your recent question is answered there, see the last paragraph in
(info "(tramp) Auto-save File Lock and Backup")

Best regards, Michael.